Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 145649 - Grant r/o gentoo-x86 access: Daniel Robbins (drobbins)
Summary: Grant r/o gentoo-x86 access: Daniel Robbins (drobbins)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Developers/Staff
Classification: Unclassified
Component: New Developers (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Recruiting Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-30 14:56 UTC by Christel Dahlskjaer (RETIRED)
Modified: 2008-10-28 06:27 UTC (History)
19 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christel Dahlskjaer (RETIRED) gentoo-dev 2006-08-30 14:56:52 UTC
I am mentoring Daniel to become a Gentoo developer again, he will come onboard to work on grub and vmware-workstation-tools for now, later? We'll take over the world.. er, I mean.. yeah! :)

Name: Daniel Robbins
Nick: drobbins
E-mail: drobbins.daniel@gmail.com 

I believe Daniel did a good job of creating Gentoo in the first place, and would make a excellent addition to the current developer team.
Comment 1 Mike Doty (RETIRED) gentoo-dev 2006-08-30 14:59:35 UTC
Daniel, glad to see you're coming back.
Comment 2 Donnie Berkholz (RETIRED) gentoo-dev 2006-08-30 17:44:42 UTC
This guy seems like a bit of a shady character to me.
Comment 3 Chris Gianelloni (RETIRED) gentoo-dev 2006-08-30 17:55:50 UTC
Just curious, but did anyone ask the VMware team (specifically me) if they wanted him coming on to maintain their packages?

Well, I can answer that for you, since I'm the maintainer.  I was not asked.  This sort of thing has happened in the past and really is not acceptable.  The people that maintain the package, especially an actively maintained package, should be contacted *before* we go about recruiting people to replace them.

Now that I have gotten that off my chest, I definitely welcome Daniel back and would encourage him to take over maintenance of vmware-workstation-tools.  He should start using the VMware overlay and working with us on the package, since the team has been working quite hard to make things easier to maintain and we want to ensure that things remain within our outlined plan for the VMware packages for the future.
Comment 4 Christel Dahlskjaer (RETIRED) gentoo-dev 2006-08-30 17:58:14 UTC
(In reply to comment #3)
> Just curious, but did anyone ask the VMware team (specifically me) if they
> wanted him coming on to maintain their packages?
> 
> Well, I can answer that for you, since I'm the maintainer.  I was not asked. 
> This sort of thing has happened in the past and really is not acceptable.  The
> people that maintain the package, especially an actively maintained package,
> should be contacted *before* we go about recruiting people to replace them.

That was very much my fault, I just did a "so what do you most fancy working on" thing and hadn't quite gotten around to the finer details! You may however, tell me off more and I'll keep in mind to do better next time around! :) 

And I wasn't going to replace you, silly! You're way too cute.

> Now that I have gotten that off my chest, I definitely welcome Daniel back and
> would encourage him to take over maintenance of vmware-workstation-tools.  He
> should start using the VMware overlay and working with us on the package, since
> the team has been working quite hard to make things easier to maintain and we
> want to ensure that things remain within our outlined plan for the VMware
> packages for the future.
> 

Comment 5 Curtis Napier (RETIRED) gentoo-dev 2006-08-30 20:25:30 UTC
I marked this as "Developers Only" since someone *cough* tsunam* decided to blog about it and link to this bug and someone else *cough* jhuebel* decided to submit it to slashdot and digg.

If I made a mistake and we want this open to the public please feel free to override me.
Comment 6 Curtis Napier (RETIRED) gentoo-dev 2006-08-30 20:27:14 UTC
I forgot to say, jhuebel and tsunam please don't override this. Let the recruiters decide if we want it open to the public or not. Thanks.
Comment 7 Joshua Jackson (RETIRED) gentoo-dev 2006-08-30 20:50:51 UTC
Aww curtis is taking away the joyous occasion :( *folds arms* party pooper *wink*
Comment 8 Steev Klimaszewski gentoo-dev 2006-08-30 20:55:16 UTC
Aww but if its closed, how can we really stress test bugzie? :-P

Seriously, I hope you are able to come back drobbins, hasn't been quite the same without you, and ummm, if you use $wm_name (any really) could use a lot of help getting everything ported over to the new modular dbus...
Comment 9 Paul de Vrieze (RETIRED) gentoo-dev 2006-08-31 06:42:43 UTC
It would be great to have Daniel back. However guys, please don't overwelm him with needlessly looking at decisions for him to make. We want to allow him to be a developer, not be god :-P
Comment 10 Shyam Mani (RETIRED) gentoo-dev 2006-08-31 07:25:10 UTC
Still open to the world, trying to close.
Comment 11 Shyam Mani (RETIRED) gentoo-dev 2006-08-31 07:26:09 UTC
Okay, now it's dev only.
Comment 12 Donnie Berkholz (RETIRED) gentoo-dev 2006-08-31 07:59:54 UTC
(In reply to comment #10)
> Still open to the world, trying to close.

Still open? AFAICT, Christel purposely removed the restriction. I also think it's poor PR to restrict access to something that makes Gentoo look good.
Comment 13 Bryan Østergaard (RETIRED) gentoo-dev 2006-08-31 11:22:54 UTC
I don't think there's any need to restrict this bug. Please don't restrict it unless there's some abuse or other good reason to justify it.
Comment 14 Shyam Mani (RETIRED) gentoo-dev 2006-08-31 11:47:44 UTC
(In reply to comment #12)
> (In reply to comment #10)
> > Still open to the world, trying to close.
> 
> Still open? AFAICT, Christel purposely removed the restriction. I also think
> it's poor PR to restrict access to something that makes Gentoo look good.

My fault, didn't see it was under "Removed". Sorry! 
Comment 15 Petteri Räty (RETIRED) gentoo-dev 2007-02-09 18:28:24 UTC
KingTaco asked someone else to take this.
Comment 16 Petteri Räty (RETIRED) gentoo-dev 2007-02-12 20:39:59 UTC
Quizes reviewed. For the most part the quizes were ok but it really shows that Daniel has not done a lot of ebuild development lately. He also does not have specific things he would be maintaining so not setting him up until these are resolved.
Comment 17 Petteri Räty (RETIRED) gentoo-dev 2007-02-27 17:24:36 UTC
(In reply to comment #16)
> Quizes reviewed. For the most part the quizes were ok but it really shows that
> Daniel has not done a lot of ebuild development lately. He also does not have
> specific things he would be maintaining so not setting him up until these are
> resolved.
> 

Danie is joint the amd64 arch team so gave made his developer account active again. Just ping me on IRC if I forgot something. 
Comment 18 Petteri Räty (RETIRED) gentoo-dev 2007-03-05 10:49:13 UTC
I wonder why drobbins wasn't CC:ed to this bug. Any ack to this bug that you are still about to retire (again).
Comment 19 Petteri Räty (RETIRED) gentoo-dev 2007-03-07 22:21:00 UTC
(In reply to comment #18)
> I wonder why drobbins wasn't CC:ed to this bug. Any ack to this bug that you
> are still about to retire (again).
> 

Seems he still wants to retire as he wants to get his -core access removed so reopening.
Comment 20 Petteri Räty (RETIRED) gentoo-dev 2007-03-07 22:22:59 UTC
(In reply to comment #19)
> 
> Seems he still wants to retire as he wants to get his -core access removed so
> reopening.
> 

Can someone look into getting me unsubscribed from -core?

-Daniel 

So I did this.
Comment 21 Bryan Østergaard (RETIRED) gentoo-dev 2007-03-11 15:57:36 UTC
Infra, please retire Daniel.

Daniel, I'm sorry it didn't work out and wish you good luck in the future.
Comment 22 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2007-03-11 21:25:22 UTC
This user is now retired in:
LDAP, cvs.g.o, dev.g.o, Bugzilla, Mailing Lists.

Still pending:
im.g.o and Planet.
Comment 23 Bryan Østergaard (RETIRED) gentoo-dev 2007-03-19 13:27:19 UTC
All done.
Comment 24 Daniel Robbins 2008-10-28 03:23:06 UTC
Is there any way I could get read-only ssh access to cvs, which I'm using on a daily basis - without actually becoming a Gentoo developer? I do not need to write to any repositories but I do keep my funtoo.org tree in sync with gentoo for building my stages and continued metro development, and the public cvs access is quite slow. Also, having ssh access would allow me to look at exporting cvs history into git.
Comment 25 Łukasz Damentko (RETIRED) gentoo-dev 2008-10-28 03:24:01 UTC
Reopening per Daniel's request.
Comment 26 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-10-28 06:05:45 UTC
drobbins: if you look at the bottom of the anoncvs.gentoo.org webpage, it describes how to rsync the raw CVS tree, which would be the preferred means of speed for you (also possible to use direct cvs2svn conversion tools on that).

Performance of that if sync to your local machine and set up would exceed SSH or anything else, since it's entirely local.

Tips:
1. Make sure the CVS server runs with it's own TMPDIR, either in the daemon side, or in your .cvsrc: "server -T /mnt/cvs/tmp/dir".
2. Use a memory-backed reiserfs space for the above TMPDIR.

For a large cvs co/up action against CVS, it will create at least 3 files for _every_ directory in CVS. Under cvs update they files are extremely small, 5-15 bytes, so reiserfs tail-packing provides great speedups.

Unless there are some large commits going on, the rsyncable copies should be within 15 minutes of the real tree.
Comment 27 Daniel Robbins 2008-10-28 06:27:16 UTC
Robin, your suggestion should work quite well - thanks! :)